#!/usr/bin/env Rscript
library(ggplot2)

args = commandArgs(trailingOnly=TRUE)


tab <- read.table(args[1], header=T, sep="\t")
colnames(tab) <- c("dijarn", "gene")

tab$dijarn <- factor(tab$dijarn, levels = tab$dijarn[order(tab$gene)])

p <- ggplot(tab, aes(x= dijarn, y = gene)) 
p <- p +  geom_point(shape = 20, color = "red", size = 3) 
p <- p + theme_classic()

pdf_name <- paste(args[4],"/", args[2],"/plots/genes_by_TADs_",args[2], "_", args[3],".pdf", sep="")
print(pdf_name)

pdf(pdf_name)
p
dev.off()
